/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
import {
  TransactionMessageStatsData,
  TransactionMessageStatsDataFromJSON,
  TransactionMessageStatsDataFromJSONTyped,
  TransactionMessageStatsDataToJSON,
} from './TransactionMessageStatsData';

/**
 *
 * @export
 * @interface TransactionMessageStats
 */
export interface TransactionMessageStats {
  /**
   *
   * @type {TransactionMessageStatsData}
   * @memberof TransactionMessageStats
   */
  last24Hours: TransactionMessageStatsData;
  /**
   *
   * @type {TransactionMessageStatsData}
   * @memberof TransactionMessageStats
   */
  mtd: TransactionMessageStatsData;
  /**
   *
   * @type {TransactionMessageStatsData}
   * @memberof TransactionMessageStats
   */
  ytd: TransactionMessageStatsData;
  /**
   *
   * @type {TransactionMessageStatsData}
   * @memberof TransactionMessageStats
   */
  all: TransactionMessageStatsData;
}

export function TransactionMessageStatsFromJSON(
  json: any
): TransactionMessageStats {
  return TransactionMessageStatsFromJSONTyped(json, false);
}

export function TransactionMessageStatsFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): TransactionMessageStats {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    last24Hours: TransactionMessageStatsDataFromJSON(json['last24Hours']),
    mtd: TransactionMessageStatsDataFromJSON(json['mtd']),
    ytd: TransactionMessageStatsDataFromJSON(json['ytd']),
    all: TransactionMessageStatsDataFromJSON(json['all']),
  };
}

export function TransactionMessageStatsToJSON(
  value?: TransactionMessageStats | null
): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    last24Hours: TransactionMessageStatsDataToJSON(value.last24Hours),
    mtd: TransactionMessageStatsDataToJSON(value.mtd),
    ytd: TransactionMessageStatsDataToJSON(value.ytd),
    all: TransactionMessageStatsDataToJSON(value.all),
  };
}
